## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.ETypedElementImpl
                                  org.eclipse.emf.ecore.impl.EStructuralFeatureImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EStructuralFeature, EStructuralFeature.Internal, EStructuralFeature.Internal.DynamicValueHolder, ETypedElement, InternalEObject, BasicExtendedMetaData.EStructuralFeatureExtendedMetaData.Holder

Direct Known Subclasses:
  EAttributeImpl, EReferenceImpl

    public abstract class EStructuralFeatureImpl

extends ETypedElementImpl
implements EStructuralFeature, EStructuralFeature.Internal, BasicExtendedMetaData.EStructuralFeatureExtendedMetaData.Holder

An implementation of the model object 'EStructural Feature'.

Nested Class Summary
`static class` `EStructuralFeatureImpl.BasicFeatureMapEntry`
`static class` `EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateFeatureMapDelegator`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateMany`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingle`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleContainer`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleContainerResolving`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleData`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleDataDynamic`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleDataStatic`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableStatic`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObject`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainment`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentResolving`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentUnsettable`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentUnsettableResolving`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverse`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseResolving`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseUnsettable`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseUnsettableResolving`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolving`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingUnsettable`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingWithInverse`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingWithInverseUnsettable`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectUnsettable`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectWithInverse`
`static class` `EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectWithInverseUnsettable`
`class` `EStructuralFeatureImpl.InverseUpdatingFeatureMapEntry`
`static class` `EStructuralFeatureImpl.SettingMany`
`static class` `EStructuralFeatureImpl.SimpleContentFeatureMapEntry`
`static class` `EStructuralFeatureImpl.SimpleFeatureMapEntry`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal
`EStructuralFeature.Internal.DynamicValueHolder, EStructuralFeature.Internal.SettingDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EClassifier` `cachedEType`
`protected boolean` `cachedIsFeatureMap`
`protected static boolean` `CHANGEABLE_EDEFAULT` The default value of the '`Changeable`' attribute
`protected static int` `CHANGEABLE_EFLAG` The flag representing the value of the '`Changeable`' attribute
`protected java.lang.Class<?>` `containerClass`
`protected static java.lang.Object` `DEFAULT_VALUE_EDEFAULT` The default value of the '`Default Value`' attribute
`protected static java.lang.String` `DEFAULT_VALUE_LITERAL_EDEFAULT` The default value of the '`Default Value Literal`' attribute
`protected java.lang.Object` `defaultValue`
`protected EFactory` `defaultValueFactory`
`protected java.lang.String` `defaultValueLiteral` The cached value of the '`Default Value Literal`' attribute
`protected static boolean` `DERIVED_EDEFAULT` The default value of the '`Derived`' attribute
`protected static int` `DERIVED_EFLAG` The flag representing the value of the '`Derived`' attribute
`protected BasicExtendedMetaData.EStructuralFeatureExtendedMetaData` `eStructuralFeatureExtendedMetaData`
`protected int` `featureID`
`protected FeatureMap.Entry.Internal` `prototypeFeatureMapEntry`
`protected EStructuralFeature.Internal.SettingDelegate` `settingDelegate`
`protected static boolean` `TRANSIENT_EDEFAULT` The default value of the '`Transient`' attribute
`protected static int` `TRANSIENT_EFLAG` The flag representing the value of the '`Transient`' attribute
`protected static boolean` `UNSETTABLE_EDEFAULT` The default value of the '`Unsettable`' attribute
`protected static int` `UNSETTABLE_EFLAG` The flag representing the value of the '`Unsettable`' attribute
`protected static boolean` `VOLATILE_EDEFAULT` The default value of the '`Volatile`' attribute
`protected static int` `VOLATILE_EFLAG` The flag representing the value of the '`Volatile`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.ETypedElementImpl
`eGenericType, eType, LOWER_BOUND_EDEFAULT, lowerBound, MANY_EDEFAULT, ORDERED_EDEFAULT, ORDERED_EFLAG, REQUIRED_EDEFAULT, UNIQUE_EDEFAULT, UNIQUE_EFLAG, UPPER_BOUND_EDEFAULT, upperBound`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Constructor Summary
`protected` `EStructuralFeatureImpl()`

Method Summary
`protected EStructuralFeature.Internal.SettingDelegate` `createFeatureMapSettingDelegate()`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`java.lang.Object` `eInvoke(int operationID, EList<?> arguments)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.Class<?>` `getContainerClass()` Returns the `instance class` of the `containing` class.
`java.lang.Object` `getDefaultValue()`
`java.lang.String` `getDefaultValueLiteral()`
`EClass` `getEContainingClass()`
`EReference` `getEOpposite()` Returns the `opposite` if this is `reference` that has one.
`BasicExtendedMetaData.EStructuralFeatureExtendedMetaData` `getExtendedMetaData()`
`int` `getFeatureID()` Returns the ID relative to the `containing` class.
`FeatureMap.Entry.Internal` `getFeatureMapEntryPrototype()` Returns the appropriately behaving feature map entry for this feature.
`EStructuralFeature.Internal.SettingDelegate` `getSettingDelegate()` Returns the delegate for this feature.
`boolean` `isChangeable()`
`boolean` `isContainer()` Returns whether this is a `reference` that is a `container`.
`boolean` `isContainment()` Returns whether this is a `reference` that is a `containment`.
`boolean` `isDerived()`
`boolean` `isFeatureMap()` Returns whether the type is a feature map.
`boolean` `isID()` Returns whether this is an `attribute` that is an `ID`.
`boolean` `isResolveProxies()` Returns whether this is a `reference` that `resolves proxies`.
`boolean` `isTransient()`
`boolean` `isUnsettable()`
`boolean` `isVolatile()`
`void` `setChangeable(boolean newChangeable)`
`void` `setContainerClass(java.lang.Class<?> containerClass)`
`void` `setDefaultValue(java.lang.Object newDefaultValue)` A convenience method for setting the 'Default Value Literal' attribute.
`void` `setDefaultValueLiteral(java.lang.String newDefaultValueLiteral)` Sets the value of the '`Default Value Literal`' attribute
`void` `setDefaultValueLiteralGen(java.lang.String newDefaultValueLiteral)`
`void` `setDerived(boolean newDerived)`
`void` `setExtendedMetaData(BasicExtendedMetaData.EStructuralFeatureExtendedMetaData eStructuralFeatureExtendedMetaData)`
`void` `setFeatureID(int featureID)`
`void` `setFeatureMapEntryPrototype(FeatureMap.Entry.Internal prototype)` Sets the appropriately behaving feature map entry for this feature.
`void` `setName(java.lang.String newName)`
`void` `setSettingDelegate(EStructuralFeature.Internal.SettingDelegate settingDelegate)` Sets the specialized delegate for this feature.
`void` `setTransient(boolean newTransient)`
`void` `setUnsettable(boolean newUnsettable)`
`void` `setVolatile(boolean newVolatile)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.ETypedElementImpl
`basicGetEType, basicSetEGenericType, basicUnsetEGenericType, freeze, getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isSetEGenericType, isSetEType, isUnique, setEGenericType, setEGenericType, setEType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound, unsetEGenericType, unsetEType`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eGet, eInternalContainer, eInternalResource, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eURIFragmentSegment`

Field Detail

### featureID

    protected int featureID

### containerClass

    protected java.lang.Class<?> containerClass

### defaultValue

    protected java.lang.Object defaultValue

### defaultValueFactory

    protected EFactory defaultValueFactory

### CHANGEABLE_EDEFAULT

    protected static final boolean CHANGEABLE_EDEFAULT

  The default value of the '`Changeable`' attribute.

  See Also:
    `isChangeable()`, Constant Field Values

### CHANGEABLE_EFLAG

    protected static final int CHANGEABLE_EFLAG

  The flag representing the value of the '`Changeable`' attribute.

  See Also:
    `isChangeable()`, Constant Field Values

### VOLATILE_EDEFAULT

    protected static final boolean VOLATILE_EDEFAULT

  The default value of the '`Volatile`' attribute.

  See Also:
    `isVolatile()`, Constant Field Values

### VOLATILE_EFLAG

    protected static final int VOLATILE_EFLAG

  The flag representing the value of the '`Volatile`' attribute.

  See Also:
    `isVolatile()`, Constant Field Values

### TRANSIENT_EDEFAULT

    protected static final boolean TRANSIENT_EDEFAULT

  The default value of the '`Transient`' attribute.

  See Also:
    `isTransient()`, Constant Field Values

### TRANSIENT_EFLAG

    protected static final int TRANSIENT_EFLAG

  The flag representing the value of the '`Transient`' attribute.

  See Also:
    `isTransient()`, Constant Field Values

### DEFAULT_VALUE_LITERAL_EDEFAULT

    protected static final java.lang.String DEFAULT_VALUE_LITERAL_EDEFAULT

  The default value of the '`Default Value Literal`' attribute.

  See Also:
    `getDefaultValueLiteral()`

### defaultValueLiteral

    protected java.lang.String defaultValueLiteral

  The cached value of the '`Default Value Literal`' attribute.

  See Also:
    `getDefaultValueLiteral()`

### DEFAULT_VALUE_EDEFAULT

    protected static final java.lang.Object DEFAULT_VALUE_EDEFAULT

  The default value of the '`Default Value`' attribute.

  See Also:
    `getDefaultValue()`

### UNSETTABLE_EDEFAULT

    protected static final boolean UNSETTABLE_EDEFAULT

  The default value of the '`Unsettable`' attribute.

  See Also:
    `isUnsettable()`, Constant Field Values

### UNSETTABLE_EFLAG

    protected static final int UNSETTABLE_EFLAG

  The flag representing the value of the '`Unsettable`' attribute.

  See Also:
    `isUnsettable()`, Constant Field Values

### DERIVED_EDEFAULT

    protected static final boolean DERIVED_EDEFAULT

  The default value of the '`Derived`' attribute.

  See Also:
    `isDerived()`, Constant Field Values

### DERIVED_EFLAG

    protected static final int DERIVED_EFLAG

  The flag representing the value of the '`Derived`' attribute.

  See Also:
    `isDerived()`, Constant Field Values

### settingDelegate

    protected EStructuralFeature.Internal.SettingDelegate settingDelegate

### cachedEType

    protected EClassifier cachedEType

### cachedIsFeatureMap

    protected boolean cachedIsFeatureMap

### prototypeFeatureMapEntry

    protected FeatureMap.Entry.Internal prototypeFeatureMapEntry

### eStructuralFeatureExtendedMetaData

    protected BasicExtendedMetaData.EStructuralFeatureExtendedMetaData eStructuralFeatureExtendedMetaData

Constructor Detail

### EStructuralFeatureImpl

    protected EStructuralFeatureImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ETypedElementImpl`

### getDefaultValue

    public java.lang.Object getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `EStructuralFeature`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `EcorePackage.getEStructuralFeature_DefaultValue()`

### setDefaultValue

    public void setDefaultValue(java.lang.Object newDefaultValue)

  Description copied from interface: `EStructuralFeature`
  A convenience method for setting the 'Default Value Literal' attribute.

  If the feature has an `eType` that is an `EDataType`, the specified `value` is converted to a string using the factory's `EFactory.convertToString(org.eclipse.emf.ecore.EDataType, java.lang.Object)` method, and the `defaultValueLiteral` is set to the result.

  Specified by:
    `setDefaultValue` in interface `EStructuralFeature`
  See Also:
    `EStructuralFeature.setDefaultValueLiteral(java.lang.String)`

### setDefaultValueLiteral

    public void setDefaultValueLiteral(java.lang.String newDefaultValueLiteral)

  Description copied from interface: `EStructuralFeature`
  Sets the value of the '`Default Value Literal`' attribute.

  Specified by:
    `setDefaultValueLiteral` in interface `EStructuralFeature`
  Parameters:
    `newDefaultValueLiteral` - the new value of the 'Default Value Literal' attribute.
  See Also:
    `EStructuralFeature.getDefaultValueLiteral()`

### setDefaultValueLiteralGen

    public void setDefaultValueLiteralGen(java.lang.String newDefaultValueLiteral)

### isUnsettable

    public boolean isUnsettable()

  Specified by:
    `isUnsettable` in interface `EStructuralFeature`
  Returns:
    the value of the 'Unsettable' attribute.
  See Also:
    `EStructuralFeature.setUnsettable(boolean)`, `EcorePackage.getEStructuralFeature_Unsettable()`

### setUnsettable

    public void setUnsettable(boolean newUnsettable)

  Specified by:
    `setUnsettable` in interface `EStructuralFeature`
  Parameters:
    `newUnsettable` - the new value of the 'Unsettable' attribute.
  See Also:
    `EStructuralFeature.isUnsettable()`

### isDerived

    public boolean isDerived()

  Specified by:
    `isDerived` in interface `EStructuralFeature`
  Returns:
    the value of the 'Derived' attribute.
  See Also:
    `EStructuralFeature.setDerived(boolean)`, `EcorePackage.getEStructuralFeature_Derived()`

### setDerived

    public void setDerived(boolean newDerived)

  Specified by:
    `setDerived` in interface `EStructuralFeature`
  Parameters:
    `newDerived` - the new value of the 'Derived' attribute.
  See Also:
    `EStructuralFeature.isDerived()`

### getEContainingClass

    public EClass getEContainingClass()

  Specified by:
    `getEContainingClass` in interface `EStructuralFeature`
  Returns:
    the value of the 'EContaining Class' container reference.
  See Also:
    `EcorePackage.getEStructuralFeature_EContainingClass()`, `EClass.getEStructuralFeatures()`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `EStructuralFeature`
  Returns:
    the value of the 'Transient' attribute.
  See Also:
    `EStructuralFeature.setTransient(boolean)`, `EcorePackage.getEStructuralFeature_Transient()`

### setTransient

    public void setTransient(boolean newTransient)

  Specified by:
    `setTransient` in interface `EStructuralFeature`
  Parameters:
    `newTransient` - the new value of the 'Transient' attribute.
  See Also:
    `EStructuralFeature.isTransient()`

### isVolatile

    public boolean isVolatile()

  Specified by:
    `isVolatile` in interface `EStructuralFeature`
  Returns:
    the value of the 'Volatile' attribute.
  See Also:
    `EStructuralFeature.setVolatile(boolean)`, `EcorePackage.getEStructuralFeature_Volatile()`

### setVolatile

    public void setVolatile(boolean newVolatile)

  Specified by:
    `setVolatile` in interface `EStructuralFeature`
  Parameters:
    `newVolatile` - the new value of the 'Volatile' attribute.
  See Also:
    `EStructuralFeature.isVolatile()`

### isChangeable

    public boolean isChangeable()

  Specified by:
    `isChangeable` in interface `EStructuralFeature`
  Returns:
    the value of the 'Changeable' attribute.
  See Also:
    `EStructuralFeature.setChangeable(boolean)`, `EcorePackage.getEStructuralFeature_Changeable()`

### setChangeable

    public void setChangeable(boolean newChangeable)

  Specified by:
    `setChangeable` in interface `EStructuralFeature`
  Parameters:
    `newChangeable` - the new value of the 'Changeable' attribute.
  See Also:
    `EStructuralFeature.isChangeable()`

### getDefaultValueLiteral

    public java.lang.String getDefaultValueLiteral()

  Specified by:
    `getDefaultValueLiteral` in interface `EStructuralFeature`
  Returns:
    the value of the 'Default Value Literal' attribute.
  See Also:
    `EStructuralFeature.setDefaultValueLiteral(String)`, `EcorePackage.getEStructuralFeature_DefaultValueLiteral()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ETypedElementImpl`

### getFeatureID

    public int getFeatureID()

  Description copied from interface: `EStructuralFeature`
  Returns the ID relative to the `containing` class.

  Specified by:
    `getFeatureID` in interface `EStructuralFeature`
  Returns:
    the relative ID.

### setFeatureID

    public void setFeatureID(int featureID)

### getContainerClass

    public java.lang.Class<?> getContainerClass()

  Description copied from interface: `EStructuralFeature`
  Returns the `instance class` of the `containing` class.

  Specified by:
    `getContainerClass` in interface `EStructuralFeature`
  Returns:
    the instance class of the containing class.

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `EModelElementImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `ETypedElementImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `ETypedElementImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `ETypedElementImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `ETypedElementImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `ETypedElementImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### eInvoke

    public java.lang.Object eInvoke(int operationID,
                                    EList<?> arguments)
                             throws java.lang.reflect.InvocationTargetException

  Specified by:
    `eInvoke` in interface `InternalEObject`
  Overrides:
    `eInvoke` in class `EModelElementImpl`
  Throws:
    `java.lang.reflect.InvocationTargetException`
  See Also:
    `EObject.eInvoke(EOperation, EList<?>)`

### setContainerClass

    public void setContainerClass(java.lang.Class<?> containerClass)

### isResolveProxies

    public boolean isResolveProxies()

  Description copied from interface: `EStructuralFeature.Internal`
  Returns whether this is a `reference` that `resolves proxies`.

  Specified by:
    `isResolveProxies` in interface `EStructuralFeature.Internal`
  Returns:
    whether this is a reference that resolves proxies.

### isContainer

    public boolean isContainer()

  Description copied from interface: `EStructuralFeature.Internal`
  Returns whether this is a `reference` that is a `container`.

  Specified by:
    `isContainer` in interface `EStructuralFeature.Internal`
  Returns:
    whether this is a reference that is a container.

### isContainment

    public boolean isContainment()

  Description copied from interface: `EStructuralFeature.Internal`
  Returns whether this is a `reference` that is a `containment`.

  Specified by:
    `isContainment` in interface `EStructuralFeature.Internal`
  Returns:
    whether this is a reference that is a containment.

### getEOpposite

    public EReference getEOpposite()

  Description copied from interface: `EStructuralFeature.Internal`
  Returns the `opposite` if this is `reference` that has one.

  Specified by:
    `getEOpposite` in interface `EStructuralFeature.Internal`
  Returns:
    the opposite if this is reference that has one.

### isID

    public boolean isID()

  Description copied from interface: `EStructuralFeature.Internal`
  Returns whether this is an `attribute` that is an `ID`.

  Specified by:
    `isID` in interface `EStructuralFeature.Internal`
  Returns:
    whether this is an attribute that is an ID.

### getSettingDelegate

    public EStructuralFeature.Internal.SettingDelegate getSettingDelegate()

  Description copied from interface: `EStructuralFeature.Internal`
  Returns the delegate for this feature. A default delegate implementation should always be available, so this should never return `null`.

  Specified by:
    `getSettingDelegate` in interface `EStructuralFeature.Internal`
  Returns:
    the delegate for this feature.

### createFeatureMapSettingDelegate

    protected EStructuralFeature.Internal.SettingDelegate createFeatureMapSettingDelegate()

### setSettingDelegate

    public void setSettingDelegate(EStructuralFeature.Internal.SettingDelegate settingDelegate)

  Description copied from interface: `EStructuralFeature.Internal`
  Sets the specialized delegate for this feature.

  Specified by:
    `setSettingDelegate` in interface `EStructuralFeature.Internal`
  Parameters:
    `settingDelegate` - the specialized delegate.

### isFeatureMap

    public boolean isFeatureMap()

  Description copied from interface: `EStructuralFeature.Internal`
  Returns whether the type is a feature map.

  Specified by:
    `isFeatureMap` in interface `EStructuralFeature.Internal`
  Returns:
    whether the type is a feature map.

### getFeatureMapEntryPrototype

    public FeatureMap.Entry.Internal getFeatureMapEntryPrototype()

  Description copied from interface: `EStructuralFeature.Internal`
  Returns the appropriately behaving feature map entry for this feature.

  Specified by:
    `getFeatureMapEntryPrototype` in interface `EStructuralFeature.Internal`
  Returns:
    the feature map entry prototype.

### setFeatureMapEntryPrototype

    public void setFeatureMapEntryPrototype(FeatureMap.Entry.Internal prototype)

  Description copied from interface: `EStructuralFeature.Internal`
  Sets the appropriately behaving feature map entry for this feature.

  Specified by:
    `setFeatureMapEntryPrototype` in interface `EStructuralFeature.Internal`
  Parameters:
    `prototype` - the feature map entry prototype.

### getExtendedMetaData

    public BasicExtendedMetaData.EStructuralFeatureExtendedMetaData getExtendedMetaData()

  Specified by:
    `getExtendedMetaData` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData.Holder`

### setExtendedMetaData

    public void setExtendedMetaData(BasicExtendedMetaData.EStructuralFeatureExtendedMetaData eStructuralFeatureExtendedMetaData)

  Specified by:
    `setExtendedMetaData` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData.Holder`

### setName

    public void setName(java.lang.String newName)

  Description copied from class: `ENamedElementImpl`

  Specified by:
    `setName` in interface `ENamedElement`
  Overrides:
    `setName` in class `ENamedElementImpl`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `ENamedElement.getName()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.